#!/bin/bash
#
#Author: Hechengyuan

#功能1：判断系统是否更新
#功能2：判断包是否下载完成（通过监控日志文件是否发生改动）
sleep 5

#function1
#UPGRADE=$(sed -n '1p' filename | awk '{printf $1}')
UPGRADE=$(grep upgrade /opt/apt_result/ota_result | awk '{printf $3}')
#UPGRADE=$(grep upgrade /test/ota_result | awk '{printf $3}')
#STATUS=$(sed -n '2p' filename | awk '{printf $1}')
STATUS=$(grep status /opt/apt_result/ota_result | awk '{printf $3}')
#STATUS=$(grep status /test/ota_result | awk '{printf $3}')
#function2
#DOWNLOAD=$(grep download /etc/apt/ota_download | awk '{printf $3}')

if [ $UPGRADE != "1" ]
	then
	echo "No Update" 
	exit -1 #判断是否更新？	
elif [ $STATUS == "success" ]
	then
	echo "Success!"
	##sed -i 's/1/0/g' filename 
	notify-send  --app-name=系统更新 --icon=system-software-update 系统更新成功 '系统已更新至最新版本，尽情体验吧' -t 15000
	sed -i 's/upgrade = 1/upgrade = 0/g' /opt/apt_result/ota_result
	#sed -i 's/upgrade = 1/upgrade = 0/g' /test/ota_result
	exit 1
else	
	echo "Failed in updating"
	##notify-send 更新升级 '系统更新升级失败' -t 15000
	exit 0
fi

